July 20, 2001

GNOME Control Center 1.5.0 released

Author: JT Smith

Version 1.5.0 of the GNOME Control Center, the GNOME Control
Center advanced capplets, and the capplet library is now available.
This
is a preview release in preparation for an upcoming stable version. It
still has many known bugs, as this represents nearly a full rewrite.

 * Availability

The new control center is available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/control-center/control-center-1.5.0.tar.gz

The advanced capplets are available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/control-center-plus/control-center-plus-1.5.0.tar.gz

The capplet library is available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/libcapplet/libcapplet-1.5.0.tar.gz

* What's new

This release features a major makeover for many of the capplets and a
shell facelift. The program has been split into two modules:
control-center, containing the shell, the new configuration archiving
system, and the core capplets, and control-center-plus, containing
capplets normally used only by advanced users.

The new features include:

* The shell has been given a makeover and now looks half-decent
(Richard)

* There is a new XML-based configuration archiving system, imported 
from
the Ximian setup tools (Bradford).

* A new bonobo-conf-based capplet architecture makes capplets much
easier to write (Bradford)

* The sound, keyboard, and background capplets now use bonobo-conf
(Bradford, Richard)

* The screensaver capplet has been given a UI facelift (Richard)

* The control center and libcapplet now use pkgconfig (Havoc)

* As always, numerous bug fixes (everyone)

* Installation instructions and prerequisites

This version of the control center requires the following packages in
addition to the GNOME 1.4 platform:

* bonobo-conf 0.8, available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/bonobo-conf/bonobo-conf-0.8.tar.gz

* pkgconfig 0.8, available at
http://www.freedesktop.org/software/pkgconfig/releases/pkgconfig-0.8.0.tar.gz

* gtkhtml >= 0.9 (0.10.1 preferred), available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/gtkhtml-0.10.1.tar.gz

* gal >= 0.9, available at
ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gal/gal-0.9.tar.gz

In addition, libcapplet must be compiled before control-center or
control-center-plus

Please download and try this out. If you have any questions or 
comments,
please consult gnomecc-list@gnome.org or #xst on GNOME IRC. Thank you.

Category:

  • Linux
Click Here!